#pragma once
#include "GroupTacticalAction.h"

class Attack : public virtual GroupTacticalAction
{
public:
  Attack(const Process* parent, unsigned int priority, const PersistentUnitGroup* initialGroup)
    : GroupTacticalAction(parent, priority, initialGroup)
    , TacticalAction(parent, priority)
    , Process(parent)
  {
  }

protected:
  virtual void _output(std::ostream& out) const
  {
    GroupTacticalAction::_output(out);

    out << "Attack(" << getGroup()->getName() << ")";
  }
};

